IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'[dbo].[sp_fco_cambio_traslados_fpo]') 
AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
   DROP PROCEDURE dbo.sp_fco_cambio_traslados_fpo
GO
CREATE PROCEDURE dbo.sp_fco_cambio_traslados_fpo(
@i_compania		char(4),
@i_trabajador		char(10),
@i_fpo_actual		char(10),
@i_fpo_nueva		char(10),
@i_fecha_cambio		smalldatetime)
AS
BEGIN
	BEGIN TRANSACTION
	UPDATE fco_traslados_fpo
	SET fpo_actual = @i_fpo_actual,	
	    fpo_nueva   = @i_fpo_nueva,
        estado = 2
	WHERE compania = @i_compania
	AND trabajador = @i_trabajador
	AND fecha_cambio  = @i_fecha_cambio
	IF @@error <> 0
	BEGIN
		ROLLBACK TRANSACTION
		RETURN
	END
	COMMIT TRANSACTION
END 
GO
GRANT EXECUTE ON sp_fco_cambio_traslados_fpo TO Public
GO